#!/bin/bash
echo '---------------------------------------------'
echo 'Gestor de Factura Electrónica - Menú'
echo '---------------------------------------------'
echo '   '
while true; do
    echo "Seleccione una opción:"
    echo "1. Mostrar registros del Atina Microservice"
    echo "2. Mostrar registros del Servidor Mule"
    echo "3. Mostrar registros del Integrador Mule"
	echo "4. Mostrar registros del HTML Server"
    echo "5. Salir" 
    read opcion 
    case $opcion in
        1)
            sudo docker logs fe-atina-microserver
            ;;
        2)
            sudo docker exec -it fe-atina-mule-server cat /opt/mule/mule-standalone-4.4.0/logs/mule.log
            ;;
        3)
            sudo docker exec -it fe-atina-mule-server cat /opt/mule/mule-standalone-4.4.0/logs/femule.log
            ;;
		4)
            sudo docker exec -it fe-html-server pm2 logs --lines 100 --nostream
            ;;
        5)
            exit
            ;;
        *)
            echo "Opción inválida"
            ;;
    esac
done